# $Revision: 1.89 $, $Date: 2006/12/07 21:12:29 $
# TODO
# - probably it doesn't make sense to package ppc keymaps on x86 and vice versa
Summary:	Linux console utilities
Summary(ko):	ܼ ϴ  (ۼ,  ͹̳,  ۿ)
Summary(pl):	Narzdzia do obsugi konsoli
Name:		kbd
Version:	1.12
Release:	15
License:	GPL
Group:		Applications/Console
Source0:	ftp://ftp.win.tue.nl/pub/linux-local/utils/kbd/%{name}-%{version}.tar.gz
# Source0-md5:	7892c7010512a9bc6697a295c921da25
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source3-md5:	93c72a27e4fdeba23cb62d62343e9483
Source4:	lat2u-16.psf.gz
# Source4-md5:	dc90a9bcff858175beea32a9b3bebb33
Source5:	lat2u.sfm.gz
# Source5-md5:	8ac4abc169fa1236fc3e64163c043113
Source6:	console.sh
Source7:	console.csh
Source8:	%{name}-pl1.kmap
Source9:	%{name}-mac-pl.kmap
Source10:	%{name}-pl3.map
Source11:	%{name}-pl4.map
Patch0:		%{name}-pl.po-update.patch
Patch1:		%{name}-missing-nls.patch
Patch2:		%{name}-install.patch
Patch3:		%{name}-sparc.patch
Patch4:		%{name}-compose.patch
Patch5:		%{name}-compat-suffixes.patch
Patch6:		%{name}-unicode_start.patch
Patch7:		%{name}-posixsh.patch
Patch8:		%{name}-gcc33.patch
Patch9:		%{name}-pl.patch
Patch10:	%{name}-pl2.patch
Patch11:	%{name}-terminal.patch
URL:		http://www.win.tue.nl/~aeb/linux/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	open
Requires:	rc-scripts
Requires:	sed
Requires:	util-linux
Provides:	console-data
Provides:	console-tools
Obsoletes:	console-data
Obsoletes:	console-tools
Obsoletes:	console-tools-devel
Obsoletes:	console-tools-static
Conflicts:	man-pages < 1.43-5
Conflicts:	util-linux < 2.11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ldatadir	/lib/%{name}

%description
This package contains utilities to load console fonts and keyboard
maps. It also includes a number of different fonts and keyboard maps.

%description -l pl
Pakiet zawiera narzdzia do adowania fontw konsolowych oraz map
klawiatury. Dodatkowo doczono znaczn liczb rnych fontw i map.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
./configure \
	--prefix=/ \
	--datadir=%{_ldatadir} \
	--mandir=%{_mandir}
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir},/etc/{profile.d,rc.d/init.d,sysconfig}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# some binaries are needed in /bin but rest is not
mv $RPM_BUILD_ROOT/bin/* $RPM_BUILD_ROOT%{_bindir}
for f in setfont dumpkeys kbd_mode unicode_start unicode_stop; do
	mv $RPM_BUILD_ROOT%{_bindir}/$f $RPM_BUILD_ROOT/bin
done

mv $RPM_BUILD_ROOT/share/locale $RPM_BUILD_ROOT%{_datadir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/console
%ifarch sparc sparc64
sed 's/KEYTABLE=pl2/KEYTABLE=sunkeymap/' %{SOURCE2} > $RPM_BUILD_ROOT/etc/sysconfig/console
%else
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/console
%endif

install %{SOURCE4} $RPM_BUILD_ROOT%{_ldatadir}/consolefonts/lat2u-16.psfu.gz
gunzip -c %{SOURCE5} >$RPM_BUILD_ROOT%{_ldatadir}/unimaps/lat2u.uni

gzip -c %{SOURCE8} > $RPM_BUILD_ROOT%{_ldatadir}/keymaps/i386/qwerty/pl1.map.gz
gzip -c %{SOURCE9} > $RPM_BUILD_ROOT%{_ldatadir}/keymaps/mac/all/mac-pl.map.gz
gzip -c %{SOURCE10} > $RPM_BUILD_ROOT%{_ldatadir}/keymaps/i386/qwerty/pl3.map.gz
gzip -c %{SOURCE11} > $RPM_BUILD_ROOT%{_ldatadir}/keymaps/i386/qwerty/pl4.map.gz

install %{SOURCE6} $RPM_BUILD_ROOT/etc/profile.d
install %{SOURCE7} $RPM_BUILD_ROOT/etc/profile.d

bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

rm -f doc/{*,*/*}.sgml

rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/gr
rm $RPM_BUILD_ROOT%{_mandir}/{README.kbd-non-english-man-pages,kbd-keypaps_instead_keytables.patch}*
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add console

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del console
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES CREDITS README doc/*.txt
%attr(754,root,root) /etc/rc.d/init.d/console
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/console
%attr(755,root,root) /etc/profile.d/console.*

%attr(755,root,root) /bin/*
%attr(755,root,root) %{_bindir}/*
%dir %{_ldatadir}
%{_ldatadir}/console*
%{_ldatadir}/keymaps
%{_ldatadir}/unimaps

%{_mandir}/man?/*
%lang(es) %{_mandir}/es/man?/*
%lang(fi) %{_mandir}/fi/man?/*
%lang(fr) %{_mandir}/fr/man?/*
%lang(hu) %{_mandir}/hu/man?/*
%lang(ko) %{_mandir}/ko/man?/*
%lang(pl) %{_mandir}/pl/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kbd.spec,v $
Revision 1.89  2006/12/07 21:12:29  glen
- rel 15, improved kbd.init

Revision 1.88  2006/09/17 15:35:42  glen
- rel 14 (improved initscript)

Revision 1.87  2006/05/23 14:28:23  glen
- rel 13

Revision 1.86  2006/04/28 11:14:06  baggins
- release 12
- don't run init script inside vserver

Revision 1.85  2006/03/27 17:58:45  witekfl
- make terminal settings such as background colour permanent
- Release 11

Revision 1.84  2006/03/02 22:43:40  glen
- rel 10

Revision 1.83  2006/02/27 18:54:42  glen
- lib64 fix

Revision 1.82  2005/12/25 16:49:10  qboosh
- removed console*(4) man pages (they are Linux, not kbd-specific,
  newer versions exist in man-pages)
- release 9

Revision 1.81  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 1.80  2005/11/23 20:56:30  arekm
- rel 8

Revision 1.79  2005/09/18 23:45:52  pluto
- kbd.init and console.sh supports unicode correctly now.
  console.csh needs update, release 7.1.

Revision 1.78  2004/08/31 19:22:13  snurf
- typos / formatting / etc.

Revision 1.77  2004/07/30 08:12:31  qboosh
- grrrr, _ldatadir was missing - fixed; release 7

Revision 1.76  2004/07/25 02:36:24  ankry
- remove bogus gr translation

Revision 1.75  2004/06/28 20:50:52  djurban
- rel. 6 incorporate unicode change

Revision 1.74  2004/05/22 08:56:42  ciesiel
- fixed kbd.init (rel. 5)

Revision 1.73  2004/05/21 22:07:01  arekm
- locale data in proper place now (rel 4)

Revision 1.72  2004/05/21 15:26:34  arekm
- rel3; fixed init script

Revision 1.71  2004/05/18 22:37:11  arekm
- rel 2 (allows showing local fonts (like PL) as soon as possible in rc-scripts)

Revision 1.70  2004/05/18 22:05:11  arekm
- fix again

Revision 1.69  2004/05/18 21:54:52  arekm
- drop loadkeys symlink

Revision 1.68  2004/05/18 21:51:11  arekm
- testing

Revision 1.67  2004/01/22 22:59:03  gotar
- gunzipped Source[9-12],
- removed Source10-md5,
- renamed Source11 to kbd-*.

Revision 1.66  2004/01/17 20:59:17  qboosh
- updated to 1.12, updated pl.po-update patch

Revision 1.65  2004/01/16 21:26:40  gotar
- added pl and pl2 patches,
- removed Source9-md5: file in CVS, consider the same with Source10,
  ungzipping Source[9-12], renaming Source11 to {name}-pl3.map,
- release 2, STBR.

Revision 1.64  2004/01/13 22:35:46  qboosh
- pass CC

Revision 1.63  2004/01/13 09:56:40  trojan
- updated to 1.11

Revision 1.62  2004/01/11 20:54:21  qboosh
- updated to 1.10
- updated pl.po-update,missing-nls,install patches, removed obsolete DESTDIR,po patches
- removed outdated sv.po
- added pl4.map by Rafal Narloch <rnarloch at manta.univ.gda.pl>

Revision 1.61  2004/01/03 16:59:44  qboosh
- release 2

Revision 1.60  2004/01/03 15:40:09  qboosh
- added pl.po-update patch, updated missing-nls patch; release 1.2, WIP

Revision 1.59  2004/01/03 13:09:51  qboosh
- removed separate pl.po (merged upstream), fixed pl.po installation
- release 1.1 (pl.po update is in the way)

Revision 1.58  2004/01/03 11:42:56  arekm
- updated to 1.09

Revision 1.57  2003/12/06 00:41:07  qboosh
- fixed ugly typo in .init (in setterm -blength); release 8

Revision 1.56  2003/11/09 11:25:22  qboosh
- updated .init to be consistant with .sysconfig

Revision 1.55  2003/11/07 17:29:30  qboosh
- updated pl.po to official version; moved additions to missing-nls patch

Revision 1.54  2003/09/18 12:12:23  gausus
- Added pl3.map.gz with LCtrl and CapsLock switched like in Sun keyboards

Revision 1.53  2003/09/07 23:33:53  ankry
- fixed nl.po header (-po patch)

Revision 1.52  2003/09/01 21:43:28  ankry
- rel. 7

Revision 1.51  2003/08/11 22:46:32  ankry
- cosmetics

Revision 1.50  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.49  2003/07/04 14:26:59  areq
- add gcc33.patch

Revision 1.48  2003/06/02 15:18:31  ankry
- added/changed non-english-man-pages URL

Revision 1.47  2003/05/28 12:59:16  malekith
- massive attack: source-md5

Revision 1.46  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.45  2003/05/25 05:49:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.44  2003/01/25 14:30:02  gotar
- reverted changes from 1.40

Revision 1.43  2003/01/12 13:42:31  blues
- release 5 - bugfix in stopping console init script, added setting NumLock
  summary from Mizi. STBR to Ra updates general

Revision 1.42  2002/11/24 17:17:17  qboosh
- added missing-nls patch (missing setlocale() in loadkeys and openvt, missing
  _() in openvt.c and analyze.l, 2 missing files in POTFILES, other fixes)
- added sv.po MIME-decoded from po/kbd.sv
- added pl.po
- release 4

Revision 1.41  2002/11/11 16:46:03  kloczek
- release 3.

Revision 1.40  2002/11/09 09:43:53  gotar
- operates on terminal, not console

Revision 1.39  2002/11/04 13:02:12  baggins
- release 2
- fixed KEYTABLE definition on sparcs

Revision 1.38  2002/11/02 16:55:14  grzegol
- updated to 1.08
- added DESTDIR patch

Revision 1.37  2002/10/24 00:18:16  ankry
- updated man pages; rel. 20

Revision 1.36  2002/09/05 11:25:56  blues
- release 19 - new doc, added BR, STBR
- introduced new options to set powersaving on console and to set colors
  of the console.

Revision 1.35  2002/04/25 16:40:41  arturs
- fixed a small typo

Revision 1.34  2002/03/19 01:26:03  marcus
- added pl keymap for Apple Macintosh
- rel.18.

Revision 1.33  2002/02/28 17:16:36  filon
- don't set font on mulitple consoles if fbset is not used
  (if someone doesn't use fbset probably he/she has ftamebuffer copiled into kernel)
- if SET_FONT_TERMINALS is not set (default), take all availible terminals from /dev/vc (devfs)
  or all teminals form inittab (trad. /dev)
- release 17

Revision 1.32  2002/02/26 20:57:49  grzegol
- addedd posixsh.patch (fix configure script)

Revision 1.31  2002/02/25 21:15:30  grzegol
- added SET_FONT_TERMINALS. Only on this terminals fonts will be set
- rel. 16
  STBR

Revision 1.30  2002/02/22 23:29:06  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.29  2002/01/25 17:11:08  undefine
- release 15 to rebuild with requires: open

Revision 1.28  2002/01/18 02:13:28  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2001/12/19 19:13:41  jack
- Added requires open - try to uninstall it and restart console - good luck ;)

Revision 1.26  2001/12/18 14:36:26  kloczek
- release 14: fixed init script (gotar).

Revision 1.25  2001/12/14 23:59:33  kloczek
- release 13: removed (ba)shisms from console.csh (rrw).

Revision 1.24  2001/12/11 20:02:27  qboosh
- added pl1.map from console-data: it's using standard include
  "linux-with-alt-and-altgr", so it has some useful mappings
  (e.g. hex keypad for entering unicode characters)
- release 12

Revision 1.23  2001/12/04 21:33:51  kloczek
- release 11.

Revision 1.22  2001/12/04 21:32:06  ankry
- added console*.4 pages from man-pages

Revision 1.21  2001/11/24 01:50:41  kloczek
- release 10.

Revision 1.20  2001/11/23 17:10:55  gotar
- added Requires: sed (/etc/rc.d/init.d/console script).

Revision 1.19  2001/11/07 15:01:25  filon
- made init script framebuffer aware (it sets font on all consoles now)
- release 9

Revision 1.18  2001/11/07 12:04:38  ankry
- added es,fi,fr,hu,ko and some pl man pages
- release 8

Revision 1.17  2001/10/30 08:19:03  gotar
- changed %{_sysconfdir} to /etc before profile.d, rc.d and sysconfig.

Revision 1.16  2001/09/25 21:39:11  orzech
- fixed broken console.sh script
- rel 7, STB

Revision 1.15  2001/09/24 14:15:25  qboosh
- release 6: Prereq: /sbin/chkconfig

Revision 1.14  2001/09/05 23:46:21  kloczek
- typo.

Revision 1.13  2001/09/05 21:08:24  kloczek
- added console.csh to /etc/profile.d/ (as same script as console.sh but for
  [t]csh shells).

Revision 1.12  2001/09/05 20:12:39  orzech
- console.sh fixed - now works when "$TERM" == "linux"
- kdb release++ (5)

Revision 1.11  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.9  2001/06/06 15:58:50  wiget
- added /etc/profile.d/console.sh from console-tools (fix problem with ISO-8859-2); release 4

Revision 1.8  2001/06/02 21:10:58  qboosh
- compat-suffixes patch: search also for files with console-*-specific
  extensions (.acm, .sfm, .kmap)
- unicode_start patch: 1) don't reload keymap - it breaks non-iso-8859-1
  keymaps (one must load proper keymap manually)
  2) don't load "default unicode font" - it's not necessary
- release 3

Revision 1.7  2001/06/01 18:02:13  kloczek
- merge compose, sparc rawhide patches.

Revision 1.6  2001/06/01 16:13:25  qboosh
- fixed install patch: removed stripping
- moved /usr/share/kbd/* to /usr/share (for compatibility with console-*)
- added kbdrate.8.pl (removed from util-linux)
- added lat2u-16 font (and optional sfm) from console-data; use it by default
  (lat2-16 from kbd has frames which doesn't display correctly in VGA text mode,
   lat2a-16 has non-unicode translation table)
- removed BuildReq gzip (required by rpm-build - to build almost all packages)
- removed ldconfig from post/postun - kbd doesn't provide any libraries
- release 2
  Still no fallback table support :(

Revision 1.5  2001/05/20 08:47:41  misiek
- updated to 1.06

Revision 1.4  2001/04/28 17:12:48  misiek
- Conflicts: util-linux < 2.11

Revision 1.3  2001/04/20 13:27:19  kloczek
- release 2: added console-tools-devel and console-tools-static to Obsoletes.

Revision 1.2  2001/04/20 08:51:17  kloczek
- Prereq for /sbin/chkconfig changed to rc-scripts.

Revision 1.1  2001/04/19 19:17:04  misiek
- kbd is alive again
- obsoletes console-tools/console-data
- profile.d/console.sh removed
